%{!?drupal6:         %global drupal6         %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module fivestar

Name:      drupal6-%{module}
Version:   1.21
Release:   2%{?dist}
Summary:   Enables fivestar ratings on content, users, etc

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
Requires:  drupal6(votingapi)
# phpcompatinfo (computed from version 1.21)
Requires:  php-date
Requires:  php-gd
Requires:  php-pcre
Requires:  php-session

Provides:  drupal6(%{module})         = %{version}
Provides:  drupal6(%{module}_comment) = %{version}

%description
The Fivestar voting module adds a clean, attractive voting widget to nodes and
comments and any entity. It features:
* jQuery rollover effects and AJAX no-reload voting
* Configurable star sets
* Graceful degradation to an HTML rating form when JavaScript is turned off
* Support for anonymous voters
* Spam protection to keep users from filling your DB with bogus votes
* Easy-to-use integration with Views module for lists sorted by rating, or
      filtered by min/max ratings
* A Fivestar CCK field for use in custom node types
* An easy-to-use Form API element type for use in other modules
* Compatible with all versions of jQuery (1.0 - 1.8)

This package provides the following Drupal module:
* %{module}
* %{module}_comment


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .

# Remove executable bits
chmod a-x LICENSE.txt
find . -name '*.css' | xargs chmod a-x


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 07 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.21-1
- Updated to 1.21 (BZ #1073915; release notes https://drupal.org/node/2212493)
- Spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Anderson Silva <ansilva@redhat.com> - 1.20-2
- Upstream LICENSE.txt correct

* Thu May 3 2012 Anderson Silva <ansilva@redhat.com> - 1.20-1
- Security update from upstream

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.19-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.19-1
- Initial rpm package
